Subject: Re: bug#39847: Document how users can make text-zoom keys same as browser

From: Stefan Kangas <[email-masked]>
Date: Tue, 03 Mar 2020 21:51:36 +0100

Drew Adams <[email-masked]> writes:

> I don't see how it would be backward
> compatible.  How so?

I mean that it would not change the current binding for C--.

> 1. It doesn't help with the argument currently
>    being given, which is that users are used to
>    `C-+/-'.  `s-+/-' doesn't help at all, given
>    such a habit, does it?

I personally agree with Richard that C-- and C-+ is a better default
and I also think it's okay if negative prefix argument is only on M--.
However, Eli has stated in Bug#28182 that he doesn't want a backward
incompatible change.

AFAICT, s-- and s-+ has some precedence.  It's used in Sublime
Text.  Atom and VSCode use C-- and C-+.  This is from searching the
web.

> 2. We already have `C-x +/-'.  Why would we need
>    or want two such sets of keys, by default?

Familiarity and ease of use.  BTW, we have more than two such keys:

     C-x C-+         text-scale-adjust
     C-x C--         text-scale-adjust
     C-x C-0         text-scale-adjust
     C-x C-=         text-scale-adjust

Best regards,
Stefan Kangas